package com.persagy.dmp.rwd.digital.service;

import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;

import java.util.List;

/***
 * Description: 项目业务逻辑处理接口
 * @author : lijie
 * @date :2021/8/18 16:15
 * Update By lijie 2021/8/18 16:15
 */
public interface ProjectBusinessService {

    /***
     * Description: 根据项目id查询项目信息
     * @param projectIds : 项目id集合
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.util.List<com.persagy.dmp.rwd.digital.entity.ObjectDigital>>
     * @author : lijie
     * @date :2021/8/18 15:56
     * Update By lijie 2021/8/18 15:56
     */
    CommonResult<List<ObjectDigital>> batchQueryProjectByIds(List<String> projectIds);

}
